/* Dark theme styles */
.dark-theme {
    background-color: #121212; /* Dark background for the body */
    color: #ffffff; /* Light text color for general text */
}

.dark-theme header {
    background-color: #1a1a1a; /* Darker background for the header */
}

.dark-theme h1 {
    color: #ffffff; /* Light text color for headers */
    font-weight: lighter;
}

/* Dark mode logo */
.dark-theme #logo {
  content: url('../icons/new-logo-website-black.png');
}

.dark-theme nav {
    background-color: #1a1a1a; /* Dark background for nav */
}

.dark-theme nav a, .dark-theme .nav-link, .dark-theme .nav-button, .dark-theme .dropdown-btn {
    background-color: #333333; /* Darker background for nav links and buttons */
    color: #ffffff; /* Light text color for nav links and buttons */
}

.dark-theme nav a:hover, .dark-theme .nav-link:hover, .dark-theme .nav-button:hover, .dark-theme .settings-container:hover, .dark-theme .dropdown-btn:hover {
    background-color: #454545; /* Lighter grey background on hover */
}

.dark-theme .settings-container {
    background-color: #333333; /* Dark background for settings container */
}

.dark-theme .dropdown-content {
    background-color: #252525; /* Dark background for dropdown content */
}

.dark-theme .dropdown-btn2 {
    background-color: #454545; /* Darker background for dropdown buttons */
    color: #ffffff; /* Light text color for dropdown buttons */
}

.dark-theme .dropdown-btn2.active {
    background-color: #656565; /* Even darker background for active dropdown buttons */
}

.dark-theme .menu, .dark-theme .dropdown-menu, .dark-theme .dropdown-chapter {
    background-color: #252525; /* Dark background for dropdown content */
    outline: none; /* Removes the outline */
}

.dark-theme .menu-chapter, .dark-theme .file-item {
    background-color: #333333; /* Dark background for menu chapters and file items */
    color: #ffffff; /* Light text color */
    outline: none; /* Removes the outline */
}

.dark-theme .menu-chapter:hover, .dark-theme .file-item:hover {
    background-color: #454545; /* Lighter grey on hover */
}

.dark-theme .dropdown-menu {
    background-color: #252525; /* Dark background for dropdown content */
    border: none;
}

.dark-theme .dropdown-chapter, .dark-theme .chapter-contents a {
    background-color: #353535; /* Dark background for dropdown content */
    outline: none; /* Removes the outline */
    border: none;
    color: #ffffff;
}

.dark-theme .dropdown-chapter:hover, .dark-theme .chapter-contents a:hover {
    background-color: #565656; /* Dark background for dropdown content */
}

.dark-theme .center-box, .dark-theme .centered-box {
    background-color: #252525; /* Dark background for center box */
    color: #ffffff; /* Light text color for center box */
    border: none;
}

.dark-theme .box-header {
    background-color: #333333; /* Dark background for box header */
    color: #ffffff; /* Light text color for box header */
}

.dark-theme .accordion {
    background-color: #333333; /* Dark background for accordion */
    color: #ffffff; /* Light text color for accordion */
}

.dark-theme .accordion:hover {
    background-color: #454545; /* Lighter grey on hover */
}

.dark-theme .panel {
    background-color: #252525; /* Dark background for panel */
    color: #ffffff; /* Light text color for panel */
}
